html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    background: linear-gradient(180deg, #000000, #572396);
    background-attachment: fixed;
    background-size: cover;
    font-family: 'Segoe UI', sans-serif;
    cursor: url("media/cursor.svg"), auto;

  }

  a,
button, .music {
  cursor: url('media/cursorhover.svg'), pointer;
}

  #background-shapes {
    position: fixed;
    top: 0; left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 0;
    pointer-events: none;
    overflow: hidden;
  }

  #content {
    position: relative;
    z-index: 10;
    color: white;

    /* Sicherstellen, dass der Inhalt vertikal scrollen kann */
    min-height: 100vh;
  }

  .floating {
    position: absolute;
    opacity: 0.85;
    will-change: transform;
  }

  @keyframes floatX {
    0% { transform: translate(0, 0) rotate(0deg); }
    50% { transform: translateX(100px) rotate(180deg); }
    100% { transform: translateX(0) rotate(360deg); }
  }

  @keyframes floatY {
    0% { transform: translate(0, 0) rotate(0deg); }
    50% { transform: translateY(-100px) rotate(-180deg); }
    100% { transform: translateY(0) rotate(-360deg); }
  }

  @keyframes floatXY {
    0% { transform: translate(0, 0) rotate(0deg); }
    50% { transform: translate(100px, -100px) rotate(180deg); }
    100% { transform: translate(0, 0) rotate(360deg); }
  }
  
  @font-face {
  font-family: neon;
  src: url(media/bneg98.ttf);
}
html{
  scroll-behavior: smooth;
}
*{
  margin: 0;
  padding: 0;
}

::selection {
  background-color: #FF00FF;
  color: #00FFFF;
}
.logo {
  font-family: neon;
  position: absolute;
  left: 32px;
  font-size: 100px;
  font-weight: 600;
  color: blueviolet;
  background-color: aqua;
}
.links {
  position: absolute;
  background-color: aqua;
  right: 32px;
}
.music {
  display: flex;
  margin-top: 30px;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.container {
  background-color: hsla(180, 100%, 50%, 0.7);
  margin: min(5em, 2%);
  padding: min(5em, 5%);
  border-style: solid;
  border-radius: 2rem;
  border-color: hsla(300, 100%, 50%, 0.7);
  border-width: 0.4rem;
  text-align: center;
}

h2 {
  font-family: neon;
  text-align: center;
  font-size: clamp(1.8rem, 8vw, 4rem);
  margin-top: 0;
}

h2::selection {
  background-color: #39FF14;
  color: #FF4500;
}

.rainbow{
  background: linear-gradient(-45deg, #FF00FF, #00FFFF, #39FF14,
    #FFFF00, #FF1493, #FF4500);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: move 80s linear infinite;
}

@keyframes move {
  to {
    background-position: 4500vh;
  }
}

.band-info{
  text-align: center;
}

.foto {
  background-color: #FF1493;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 60%;
  margin-top: 10px;
  border-radius: 1rem;
}
.promo {
  display: block;
  margin-left: auto;
  margin-right: auto;
  /* max-width: 100%; */
  width: clamp(6rem, 20vw, 20rem);
  height: auto;
  margin-top: 10px;
}

.musik-info {
  text-align: center;
}
iframe {
  margin-top: 10px;
  width: 100%;
  height: auto;
}

.anchor {
  scroll-margin: 130px;
}
nav {
  position: fixed;
  top: 0;
  width: 100vw;
  background-color: rgba(0, 0, 0);
  box-shadow: 3px 3px 5px rgba(0,0,0,0.1);
}
nav ul {
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
nav li {
  height: 50px;
}
nav a {
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: white;
  font-family: neon;
  font-size: x-large;
}
nav a:hover{
  background-color: lightgray;
  color: black;
}
nav li:first-child{
  margin-right: auto;
  display: flex;
}

.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 250px;
  z-index: 999;
  background-color: black;
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0,0,0,0.1);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.sidebar li {
  width: 100%;
}
.sidebar a{
  width: 100%;
}
.menu-btn {
  display: none;
}
@media (max-width: 840px){
 .hideOnMobile{
  display: none;
 } 
 .menu-btn {
  display: block;
 }
}
@media (max-width: 400px) {
  .sidebar{
      width: 100%;
  }
}
h1{
  font-family: neon;
  color: #FF00FF;  
}

table {
  text-align: center;
  margin: auto;
  width: 50%;
  margin-top: 2rem;
}

table h3 {
  font-size: xx-large;
  font-family: neon;
  padding-bottom: 0.5rem;
}
td {
  padding: 0.5rem min(3rem, 1rem);
}


    /* Footer Styling */
    footer {
      position: fixed;
      bottom: -100px; /* Start hidden */
      left: 0;
      width: 100%;
      background-color: rgba(0, 0, 0, 0.8);
      color: white;
      padding: 1rem;
      
      display: flex;
      align-items: flex-end;
      justify-content: center;
      z-index: 20;
      transition: bottom 0.3s ease-in-out; /* Smooth transition when the footer becomes visible */
    }

    footer a {
      color: #FF00FF;
      text-decoration: none;
      margin: 0 1rem;
      font-weight: bold;
    }

    footer a:hover {
      text-decoration: underline;
    }

    .footer-content {
      display: none;
      padding: 1rem;
      background: rgba(0, 0, 0, 0.7);
      border-radius: 8px;
      margin-top: 1rem;
      color: white;
      max-width: auto;
      margin: 0 auto;
      max-height: 700px; /* Begrenze die Höhe */
      overflow-y: auto;  /* Aktiviert Scrollen innerhalb */
    }

    .footer-content.open {
      display: block;
      animation: slideIn 0.5s ease-out forwards;
    }

    @keyframes slideIn {
      from {
        opacity: 0;
        transform: translateY(20px);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    }

    .footer-content ul {
      list-style-type: none;
    }

    .footerIcons {
      height: 24px;
      vertical-align: middle;
    }